# Uses of Class
net.sourceforge.jiu.color.quantization.OctreeNode

Packages that use OctreeNode
Package
Description
net.sourceforge.jiu.color.quantization

## Uses of OctreeNode in net.sourceforge.jiu.color.quantization

Fields in net.sourceforge.jiu.color.quantization declared as OctreeNode
Modifier and Type
Field
Description
`private OctreeNode[]`
OctreeNode.`children`
`private OctreeNode`
OctreeColorQuantizer.`root`
Methods in net.sourceforge.jiu.color.quantization that return OctreeNode
Modifier and Type
Method
Description
`OctreeNode[]`
OctreeNode.`getChildren()`
Methods in net.sourceforge.jiu.color.quantization with parameters of type OctreeNode
Modifier and Type
Method
Description
`static boolean`
OctreeNode.`add(OctreeNode root, int red, int green, int blue, int bitsPerSample)`
Add a color red-green-blue to the octree, given by its root node.
`private int`
OctreeColorQuantizer.`assignPaletteIndexValues(OctreeNode node, int index)`
If node is a leaf node, this method assigns palette index values and determines the representative color, otherwise it simply recursively calls itself for all child nodes.
`private void`
OctreeColorQuantizer.`initPalette(OctreeNode node, Palette palette)`
`void`
OctreeNode.`setChildren(OctreeNode[] newChildren)`